# sane 1.0.5 with xsane 0.76

From: Martin Heggemann (martin.hf@gmx.de)
Date: Tue Jul 17 2001 - 15:20:31 PDT

- Next message: Douglas Gilbert: "Re: SANE-1.0.5/Linux-2.4.6/PowerPC"
  - Previous message: Karl Heinz Kremer: "Re: Nikon Coolscan SCSI commands"
  - Next in thread: Henning Meier-Geinitz: "Re: sane 1.0.5 with xsane 0.76"
  - Reply: Henning Meier-Geinitz: "Re: sane 1.0.5 with xsane 0.76"
  - Reply: Oliver Rauch: "Re: sane 1.0.5 with xsane 0.76"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Good evening,

  I just downloaded sane 1.0.5 and installed it on my server (upgrading
  from version 1.0.3).

  When I do a preview-scan (gray or color; lineart is o.k.) via network
  with my Mustek MFS-12000SP, xsane 0.76 crashes every time the preview
  scan is completed (segmentation fault).

  When I do the preview in Lineart and then switch to grayscale or color,
  the scan is pretty fine.

  Does anybody have a suggestion, how I can solve this???

  Thanks in advance

  Martin

  PS: I also tried to compile xsane 0.77 and 0.78 but both complain about
  not finding the library "glibconfig.h":

      ---
      make[1]: Entering directory `/tmp/xsane-0.77/src'
      gcc -c -DHAVE_CONFIG_H -DLOCALEDIR=/usr/local/share/locale -I. -I.
      -I../include -I../include  -I/usr/local/include -D_GNU_SOURCE
      -DPATH_SANE_DATA_DIR=/usr/local/share/sane      -DV_MAJOR=0
      -DV_MINOR=77 -DSANE_V_MAJOR=1 -g -O2 -Wall  -I/usr/local/include
      xsane-back-gtk.c In file included from /usr/include/gdk/gdktypes.h:33,
                       from /usr/include/gdk/gdk.h:31,
                       from xsane.h:104,
                       from xsane-back-gtk.c:25:
      /usr/include/glib.h:66: glibconfig.h: Datei oder Verzeichnis nicht
      gefunden
      make[1]: *** [xsane-back-gtk.o] Error 1
      ---
      make[1]: Entering directory `/tmp/xsane-0.78/src'
      gcc -c -DHAVE_CONFIG_H -DLOCALEDIR=/usr/local/share/locale -I. -I.
      -I../include -I../include  -I/usr/local/include -D_GNU_SOURCE
      -DPATH_SANE_DATA_DIR=/usr/local/share/sane      -DV_MAJOR=0
      -DV_MINOR=78 -DSANE_V_MAJOR=1 -g -O2 -Wall  -I/usr/local/include
      xsane-back-gtk.c In file included from /usr/include/gdk/gdktypes.h:33,
                       from /usr/include/gdk/gdk.h:31,
                       from xsane.h:105,
                       from xsane-back-gtk.c:25:
      /usr/include/glib.h:66: glibconfig.h: Datei oder Verzeichnis nicht
      gefunden
      make[1]: *** [xsane-back-gtk.o] Error 1
      ---
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Douglas Gilbert: "Re: SANE-1.0.5/Linux-2.4.6/PowerPC"
  - Previous message: Karl Heinz Kremer: "Re: Nikon Coolscan SCSI commands"
  - Next in thread: Henning Meier-Geinitz: "Re: sane 1.0.5 with xsane 0.76"
  - Reply: Henning Meier-Geinitz: "Re: sane 1.0.5 with xsane 0.76"
  - Reply: Oliver Rauch: "Re: sane 1.0.5 with xsane 0.76"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Tue Jul 17 2001 - 15:04:41 PDT